postgresql packages in the removal blacklist making it hard to upgrade

Bug #996916 reported by Iggy on 2012-05-09

This bug report was converted into a question: question #626554: postgresql packages in the removal blacklist making it hard to upgrade.

This bug affects 145 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Undecided
Unassigned

Bug Description

I have got this pop-up error message while updating from Ubuntu version 11.04 to 11.10:

Could not calculate the upgrade

An unresolvable problem occurred while calculating the upgrade:
The package 'postgresql-plperl-8.4' is marked for removal but it is in the removal blacklist.

 This can be caused by:
 * Upgrading to a pre-release version of Ubuntu
 * Running the current pre-release version of Ubuntu
 * Unofficial software packages not provided by Ubuntu

If none of this applies, then please report this bug using the command 'ubuntu-bug update-manager' in a terminal.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: update-manager 1:0.150.5.2
ProcVersionSignature: Ubuntu 2.6.38-15.59-generic 2.6.38.8
Uname: Linux 2.6.38-15-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Wed May 9 15:17:02 2012
GConfNonDefault:
 /apps/update-manager/check_new_release_ignore=oneiric
 /apps/update-manager/first_run=false
 /apps/update-manager/window_size=(600,600)
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: update-manager
UpgradeStatus: Upgraded to natty on 2012-05-09 (0 days ago)
VarLogDistupgradeApttermlog:

VarLogDistupgradeHistorylog:

VarLogDistupgradeSystemstatetargz:

VarLogDistupgradeTermlog:

Revision history for this message
Iggy (ignatius-pang) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in update-manager (Ubuntu):
status: New → Confirmed
Revision history for this message
Deon Bennett (deonsed) wrote :

I received the same error but I am running lucid 10.04 LTS. Trying to upgrade to 12.04

summary: - 'postgresql-plperl-8.4' update removal blacklist
+ postgresql packages in the removal blacklist making it hard to upgrade
Revision history for this message
Brian Murray (brian-murray) wrote :

postgresql packages are listed in the removal_blacklist.cfg used by update-manager / ubuntu-release-upgrader because of bug 871893, where upon upgrade people were unable to access their databases.

Revision history for this message
cfi (cfi) wrote :

For those looking for this file, it is located at:
  /usr/share/ubuntu-release-upgrader/removal_blacklist.cfg

Revision history for this message
cfi (cfi) wrote :

Brian, if it is postgresql that is responsible, then commenting out that line from the removal_blacklist.cfg should help fix it.

After commenting out that one line, my blacklist now is:

# blacklist of packages that should never be removed
ubuntu-standard
ubuntu-minimal
ubuntu-desktop
kubuntu-desktop
xubuntu-desktop
lubuntu-desktop
# ubuntu-release-upgrader should not remove itself or update-manager
update-manager
update-manager-core
ubuntu-release-upgrader
# posgresql (LP: #871893)
#^postgresql-.*[0-9]\.[0-9].*
# the upgrade runs in it
^screen$
# unity
unity$
# gnome-session (LP: #946539)
gnome-session$

Still, the upgrader stops with the reported error message. Anyone any other suggestions?

Revision history for this message
cfi (cfi) wrote :

Also, the error message itself should be considered a bug:
(a) The error message yields three possible causes for the error without telling users which one applies
(b) For the third case (unsupported packages) it should list which packages are causing a dependency issue.

Revision history for this message
Peter Fodrek (peter-fodrek) wrote :

Thank you information about PostgreSQL told me to uninstall all packages depending on PostgreSQL and pgsql as well. This allowed me to start install process. Is it impossible to add information to possible causes " PostgreSQL packages installation may block upgrade"
Then there will be not such problems as my duplication of this bug as of bug 1310239.

Another recommedation is to add button for list of installed unsupported packages or button - uninstall unsported packages (my hurt some of your programs until package reinstall)

Revision history for this message
Peter Chibunna (peterchibunna) wrote : Re: [Bug 996916] Re: postgresql packages in the removal blacklist making it hard to upgrade

Hi Peter.

Can you guide me through resolving this postgresql packages in the removal blacklist preventing upgrades?

I've had it persistently and my upgrading process is always hitched.

Thanks.

Sent from my BlackBerry 10 smartphone.
  Original Message
From: Peter Fodrek
Sent: Tuesday, 22 April 2014 11:36
To: <email address hidden>
Reply To: Bug 996916
Subject: [Bug 996916] Re: postgresql packages in the removal blacklist making it hard to upgrade

Thank you information about PostgreSQL told me to uninstall all packages depending on PostgreSQL and pgsql as well. This allowed me to start install process. Is it impossible to add information to possible causes " PostgreSQL packages installation may block upgrade"
Then there will be not such problems as my duplication of this bug as of bug 1310239.

Another recommedation is to add button for list of installed unsupported
packages or button - uninstall unsported packages (my hurt some of your
programs until package reinstall)

--
You received this bug notification because you are subscribed to a
duplicate bug report (1267467).
https://bugs.launchpad.net/bugs/996916

Title:
postgresql packages in the removal blacklist making it hard to upgrade

Status in “update-manager” package in Ubuntu:
Confirmed

Bug description:
I have got this pop-up error message while updating from Ubuntu
version 11.04 to 11.10:

Could not calculate the upgrade

An unresolvable problem occurred while calculating the upgrade:
The package 'postgresql-plperl-8.4' is marked for removal but it is in the removal blacklist.

This can be caused by:
* Upgrading to a pre-release version of Ubuntu
* Running the current pre-release version of Ubuntu
* Unofficial software packages not provided by Ubuntu

If none of this applies, then please report this bug using the command
'ubuntu-bug update-manager' in a terminal.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: update-manager 1:0.150.5.2
ProcVersionSignature: Ubuntu 2.6.38-15.59-generic 2.6.38.8
Uname: Linux 2.6.38-15-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Wed May 9 15:17:02 2012
GConfNonDefault:
/apps/update-manager/check_new_release_ignore=oneiric
/apps/update-manager/first_run=false
/apps/update-manager/window_size=(600,600)
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
PackageArchitecture: all
ProcEnviron:
LANGUAGE=en_US:en
LANG=en_US.UTF-8
SHELL=/bin/bash
SourcePackage: update-manager
UpgradeStatus: Upgraded to natty on 2012-05-09 (0 days ago)
VarLogDistupgradeApttermlog:

VarLogDistupgradeHistorylog:

VarLogDistupgradeSystemstatetargz:

VarLogDistupgradeTermlog:

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/996916/+subscriptions

Revision history for this message
Adrian McEwen (amcewen) wrote :

I had this trying to upgrade from 14.04 to 14.10, although I didn't get any indication of the package causing the problem - see #1406740.

I tried commenting out the postgresql line from removal_blacklist.cfg, like cfi mentioned, but similarly it didn't fix the problem for me.

Once I removed all the postgresql packages (server and client, plus the postgis stuff and as a knock-on some mapnik packages) the upgrade ran through successfully.

Sadly I didn't make a note of the packages I removed, but can probably work out a rough list of what they were if that's useful.

Revision history for this message
Christopher Barrington-Leigh (cpbl) wrote :

Similarly to amcewen: My system will not upgrade from 15.04 to 15.10.
My bug https://bugs.launchpad.net/ubuntu/+source/ubuntu-release-upgrader/+bug/1509490 was marked a duplicate of this one, but the error message I get does not mention the problem. It does not mention postgres, though my machine is running postgres.

Commenting out lines in blacklist.cfg did not help. I restored them.

I tried

sudo apt-get remove postgresql

and that did not help. I reversed it.

I tried

sudo apt-get remove postgresql pgadmin3 postgresql-9.4-postgis-2.1

and that let me upgrade.

It seems this problem has been around for four years?! Maybe no one running postGIS can upgrade?

Revision history for this message
Stéphane Charette (stephanecharette) wrote :

From a comment I left earlier this year on another bug ticket which is now marked as a duplicate:

------------

Finally figured out why upgrades to 16.04 are prevented on many of my computers. The trick is to run this after a failed upgrade:

> cd /var/log/dist-upgrade/
> tail -100 main.log

In my case, this was the problem:

> 2016-06-09 15:48:07,039 DEBUG blacklist expr '^postgresql-.*[0-9]\.[0-9].*' matches 'postgresql-plperl-9.4'
> 2016-06-09 15:48:07,039 DEBUG The package 'postgresql-plperl-9.4' is marked for removal but it's in the removal blacklist
> 2016-06-09 15:48:12,070 ERROR Dist-upgrade failed: 'The package 'postgresql-plperl-9.4' is marked for removal but it is in the removal blacklist.'
> 2016-06-09 15:48:12,071 DEBUG abort called

So the solution for me was to remove that package:

> sudo apt-get remove postgresql-plperl-9.4

However, even knowing this, I still think this bug is valid. The upgrade process should provide more details when the upgrade refuses to run. For example, it could have either shown the name of the offending package, or perhaps even given me the option to remove it so the upgrade can proceed.

tags: added: bugpattern-written
Revision history for this message
Emmanuel Stapf [ES] (xumoqkn5d6or9iyw) wrote :

actually doing

sudo apt-get remove postgres*

really went through all the various postgresql packages I had and tell me which one I had installed. After uninstalling them I was able to start the upgrade.

Revision history for this message
Thierry Charlot (charlys29) wrote :

i remove postgis extension for postgresqul and after upgrade start normally

sudo apt-get remove postgis

Revision history for this message
Olli-Pekka Wallin (hozmaster) wrote :

Removing postgis package help with me

Revision history for this message
poppis (poppis-poikela) wrote :

Removing postgis solved the problem

Revision history for this message
francisco.jorge (jh-programador) wrote :

Problem resolved, reinstall PostgreSQL

Em seg, 1 de ago de 2016 16:11, poppis <email address hidden> escreveu:

> Removing postgis solved the problem
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1246789).
> https://bugs.launchpad.net/bugs/996916
>
> Title:
> postgresql packages in the removal blacklist making it hard to upgrade
>
> Status in update-manager package in Ubuntu:
> Confirmed
>
> Bug description:
> I have got this pop-up error message while updating from Ubuntu
> version 11.04 to 11.10:
>
> Could not calculate the upgrade
>
> An unresolvable problem occurred while calculating the upgrade:
> The package 'postgresql-plperl-8.4' is marked for removal but it is in
> the removal blacklist.
>
> This can be caused by:
> * Upgrading to a pre-release version of Ubuntu
> * Running the current pre-release version of Ubuntu
> * Unofficial software packages not provided by Ubuntu
>
> If none of this applies, then please report this bug using the command
> 'ubuntu-bug update-manager' in a terminal.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: update-manager 1:0.150.5.2
> ProcVersionSignature: Ubuntu 2.6.38-15.59-generic 2.6.38.8
> Uname: Linux 2.6.38-15-generic x86_64
> NonfreeKernelModules: nvidia
> Architecture: amd64
> Date: Wed May 9 15:17:02 2012
> GConfNonDefault:
> /apps/update-manager/check_new_release_ignore=oneiric
> /apps/update-manager/first_run=false
> /apps/update-manager/window_size=(600,600)
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64
> (20101007)
> PackageArchitecture: all
> ProcEnviron:
> LANGUAGE=en_US:en
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: update-manager
> UpgradeStatus: Upgraded to natty on 2012-05-09 (0 days ago)
> VarLogDistupgradeApttermlog:
>
> VarLogDistupgradeHistorylog:
>
> VarLogDistupgradeSystemstatetargz:
>
> VarLogDistupgradeTermlog:
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/996916/+subscriptions
>

Revision history for this message
datakid (datakid) wrote :

I saw this just now upgrading from fully up to date 14.04 to 16.04.

apt-get remove postgresql-9.3-postgis-2.1

was sufficient to fix it.

Revision history for this message
Rene Schickbauer (rene-schickbauer) wrote :

Removing pogresql extensions (plugins) only CHANGES the nature of the problem, instead of solving it!

If you remove the old postgis version, but it's used in one of the databases, programs like pg_upgradecluster break.

This means, now a complete restore from a database backup is needed, which is much slower and increases downtime by many hours.

Revision history for this message
Jamie Nadeau (james2432) wrote :

Also received this issue going from 14.04 to 16.04. This is very annoying that postgis extension blocks a full system upgrade. Not to mention that this bug is 4 years old and still not fixed!

Revision history for this message
Ellis (ellisbjohns) wrote :

Same issue here. Had to execute:
apt-get remove postgresql-9.3-postgis-2.1
a few times to solve the issue.

Revision history for this message
Briancady413 (briancady413) wrote :

I did
'sudo apt-get remove postgresql-9.3-postgis-2.1', then restarted, then attempted to upgrade from 14.04 to 16.04.1, but face the same issue again.

Revision history for this message
Briancady413 (briancady413) wrote :

I tried 'sudo apt-get remove postgis' as well as repeating 'sudo apt-get remove postgresql-9.3-postgis-2.1'. No luck. I've also eliminated many large unused programs - same thing.

Revision history for this message
mschneider (wand3r3r) wrote :

Upgrading from ubuntu 16.04 to 16.04.01 I had to uninstall all postgresql packages

$ apt-get purge postgres* postgis*

-Mike

Revision history for this message
Robert sergo Dimanche (robertsergodimanche13) wrote :

 la version 14.4 de Ubuntu ne peut pas etre rendu a la nouvelle version de Ubuntu. Il y a toujours un bug qui empeche la mise a niveau. Le message d'erreur est
:Impossible d'évaluer la mise à niveau

Un problème insoluble est survenu lors de la préparation de la mise à niveau.

 Ceci peut-être dû à :
 * la mise à niveau vers une version de développement d'Ubuntu ;
 * la version de développement d'Ubuntu est actuellement utilisée ;
 * des paquets logiciels non officiels, non fournis par Ubuntu.

Si rien de tout cela ne s'applique, veuillez signaler ce bogue en utilisant la commande « ubuntu-bug ubuntu-release-upgrader-core » dans un terminal.

Revision history for this message
Robert sergo Dimanche (robertsergodimanche13) wrote :

version de mrrrd

Revision history for this message
Robert sergo Dimanche (robertsergodimanche13) wrote :

en voulant faire de mise a niveau pour passer a la nouvelle version.( de 14.4 a la nouvelle version.)

Bug Description

I have got this pop-up error message while updating from Ubuntu version 11.04 to 11.10:

Could not calculate the upgrade

An unresolvable problem occurred while calculating the upgrade:
The package 'postgresql-plperl-8.4' is marked for removal but it is in the removal blacklist.

 This can be caused by:
 * Upgrading to a pre-release version of Ubuntu
 * Running the current pre-release version of Ubuntu
 * Unofficial software packages not provided by Ubuntu

If none of this applies, then please report this bug using the command 'ubuntu-bug update-manager' in a terminal.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: update-manager 1:0.150.5.2
ProcVersionSignature: Ubuntu 2.6.38-15.59-generic 2.6.38.8
Uname: Linux 2.6.38-15-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Wed May 9 15:17:02 2012
GConfNonDefault:
 /apps/update-manager/check_new_release_ignore=oneiric
 /apps/update-manager/first_run=false
 /apps/update-manager/window_size=(600,600)
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: update-manager
UpgradeStatus: Upgraded to natty on 2012-05-09 (0 days ago)
VarLogDistupgradeApttermlog:

VarLogDistupgradeHistorylog:

VarLogDistupgradeSystemstatetargz:

VarLogDistupgradeTermlog:

Changed in update-manager (Ubuntu):
status: Confirmed → Invalid
Revision history for this message
Briancady413 (briancady413) wrote :

Stephane Charette's 2016-07-25 comment #12 helped me immensely - thank you.

Revision history for this message
isomorphismes (isomorphismes) wrote :

I got sent here by the auto bug reporter. Trying to upgrade from 12.04 to 16 LTS

Revision history for this message
Kevin_Traas (kevin-traas) wrote :

Stephane Charette's 2016-07-25 comment #12 helped me.

I am attempting to upgrade 14.04.5 to 16.04.x.

Unlike others, I did not have a 'postgis' package installed. However, I do have postgresql-plperl-9.3 installed and, after removing this package, the upgrade proceeded normally.

# dpkg --get-selections | grep -i postg
postgresql install
postgresql-9.3 install
postgresql-client-9.3 install
postgresql-client-common install
postgresql-common install
postgresql-contrib-9.3 install
postgresql-plperl-9.3 install
postgresql-server-dev-9.3 install
# apt-get remove postgresql-plperl-9.3

Revision history for this message
Torsten Hilbrich (torsten-hilbrich) wrote :

Similar problem occurred to me when trying to update from 16.04 to 18.04. I had to uninstall the postgresql-plperl-9.5 package first. Then the update was startable.

Ivan (cookfxx) on 2018-05-16
Changed in update-manager (Ubuntu):
assignee: nobody → Ivan (cookfxx)
status: Invalid → Fix Released
Revision history for this message
Jeff Lane (bladernr) wrote :

Please do not assign bugs to yourself and change the status, especially when those bugs are marked invalid.

Changed in update-manager (Ubuntu):
status: Fix Released → Invalid
assignee: Ivan (cookfxx) → nobody
Revision history for this message
Billoir Romain (maz83) wrote :

I'm surprised: 8 years later, the bug is still here.

I wanted to upgrade from 18.04 to 20.04 and faced the exact same issue caused by postgis.

What worked for me were to remove postgis, do the upgrade, and re-install postgis:

sudo apt remove postgresql-12-postgis-*

sudo do-release-upgrade

sudo apt install postgresql-12-postgis-3

Revision history for this message
Yan-hoose (yan-hoose) wrote :

Ran into this issue when attempting to upgrade from 19.10 to 20.04.

I had to remove postgresql-11-postgis-2.5 for the upgrade to work.

Really strange bug.

Revision history for this message
Paul Schreiber (paulschreiber) wrote :

Also ran into this issue when attempting to upgrade from 19.10 to 20.04.

After removing postgresql-10-postgis-2.4, I ran do-release-upgrade again and got this message:
   Please install all available updates for your release before upgrading.

I ran apt upgrade. It's now installing a lot of focal packages:

...snip...
832 upgraded, 116 newly installed, 0 to remove and 13 not upgraded.
Need to get 701 MB of archives.
After this operation, 1,176 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
...snip...

Revision history for this message
Flaburgan (flaburgan) wrote :

It's 2020, and 4 years after reporting it (there https://bugs.launchpad.net/ubuntu/+source/ubuntu-release-upgrader/+bug/1594355) I am once again facing this bug upgrading from 18.04 to 20.04 because of postgresql-11-postgis-3. When is someone going to have a look at it?

Changed in update-manager (Ubuntu):
status: Invalid → Confirmed
status: Confirmed → Invalid
Revision history for this message
LuisC (luiscardozocarreras) wrote :

Same thing here. Trying to update from 19.10 to 20.04 and getting this error.

I know that I can solve by backing up my databases and removing all postgres related packages, but I supposed that the Release Upgrader should make everything "automagically".

Revision history for this message
Flaburgan (flaburgan) wrote :

No need to remove all postgres packages, removing postgis should be enough.

Revision history for this message
Quinn Balazs (qbalazs) wrote :

Fix released in Oneiric. This particular bug has been resolved. Future issues are not due to bug #871893, thus should be reported separately n

Revision history for this message
Quinn Balazs (qbalazs) wrote :

I'm trying to say that if you're still experiencing this issue and you have
updated past Oneiric (11.10) this is NOT the same bug. postgres was in the
removal blacklist due to Bug 871893. Fix released for 871893 in Oneiric
Updates. Therefore if it is in the removal blacklist again, it is a
different issue altogether, Do not keep adding reports to an invalid bug
from 2015 that was due to something now marked Fix Released. Please for the
love of dog, report a new bug, with new logs.

On Wed, Sep 30, 2020 at 10:04 AM Flaburgan <email address hidden>
wrote:

> No need to remove all postgres packages, removing postgis should be
> enough.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1246020).
> https://bugs.launchpad.net/bugs/996916
>
> Title:
> postgresql packages in the removal blacklist making it hard to upgrade
>
> Status in update-manager package in Ubuntu:
> Invalid
>
> Bug description:
> I have got this pop-up error message while updating from Ubuntu
> version 11.04 to 11.10:
>
> Could not calculate the upgrade
>
> An unresolvable problem occurred while calculating the upgrade:
> The package 'postgresql-plperl-8.4' is marked for removal but it is in
> the removal blacklist.
>
> This can be caused by:
> * Upgrading to a pre-release version of Ubuntu
> * Running the current pre-release version of Ubuntu
> * Unofficial software packages not provided by Ubuntu
>
> If none of this applies, then please report this bug using the command
> 'ubuntu-bug update-manager' in a terminal.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: update-manager 1:0.150.5.2
> ProcVersionSignature: Ubuntu 2.6.38-15.59-generic 2.6.38.8
> Uname: Linux 2.6.38-15-generic x86_64
> NonfreeKernelModules: nvidia
> Architecture: amd64
> Date: Wed May 9 15:17:02 2012
> GConfNonDefault:
> /apps/update-manager/check_new_release_ignore=oneiric
> /apps/update-manager/first_run=false
> /apps/update-manager/window_size=(600,600)
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64
> (20101007)
> PackageArchitecture: all
> ProcEnviron:
> LANGUAGE=en_US:en
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: update-manager
> UpgradeStatus: Upgraded to natty on 2012-05-09 (0 days ago)
> VarLogDistupgradeApttermlog:
>
> VarLogDistupgradeHistorylog:
>
> VarLogDistupgradeSystemstatetargz:
>
> VarLogDistupgradeTermlog:
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/996916/+subscriptions
>

Revision history for this message
Quinn Balazs (qbalazs) wrote :

Or, if you're committed to posting here, post your logs, please.

On Wed, Sep 30, 2020 at 10:10 AM Quinn Balazs <email address hidden> wrote:

> I'm trying to say that if you're still experiencing this issue and you
> have updated past Oneiric (11.10) this is NOT the same bug. postgres was in
> the removal blacklist due to Bug 871893. Fix released for 871893 in Oneiric
> Updates. Therefore if it is in the removal blacklist again, it is a
> different issue altogether, Do not keep adding reports to an invalid bug
> from 2015 that was due to something now marked Fix Released. Please for the
> love of dog, report a new bug, with new logs.
>
> On Wed, Sep 30, 2020 at 10:04 AM Flaburgan <email address hidden>
> wrote:
>
>> No need to remove all postgres packages, removing postgis should be
>> enough.
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1246020).
>> https://bugs.launchpad.net/bugs/996916
>>
>> Title:
>> postgresql packages in the removal blacklist making it hard to upgrade
>>
>> Status in update-manager package in Ubuntu:
>> Invalid
>>
>> Bug description:
>> I have got this pop-up error message while updating from Ubuntu
>> version 11.04 to 11.10:
>>
>> Could not calculate the upgrade
>>
>> An unresolvable problem occurred while calculating the upgrade:
>> The package 'postgresql-plperl-8.4' is marked for removal but it is in
>> the removal blacklist.
>>
>> This can be caused by:
>> * Upgrading to a pre-release version of Ubuntu
>> * Running the current pre-release version of Ubuntu
>> * Unofficial software packages not provided by Ubuntu
>>
>> If none of this applies, then please report this bug using the command
>> 'ubuntu-bug update-manager' in a terminal.
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 11.04
>> Package: update-manager 1:0.150.5.2
>> ProcVersionSignature: Ubuntu 2.6.38-15.59-generic 2.6.38.8
>> Uname: Linux 2.6.38-15-generic x86_64
>> NonfreeKernelModules: nvidia
>> Architecture: amd64
>> Date: Wed May 9 15:17:02 2012
>> GConfNonDefault:
>> /apps/update-manager/check_new_release_ignore=oneiric
>> /apps/update-manager/first_run=false
>> /apps/update-manager/window_size=(600,600)
>> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64
>> (20101007)
>> PackageArchitecture: all
>> ProcEnviron:
>> LANGUAGE=en_US:en
>> LANG=en_US.UTF-8
>> SHELL=/bin/bash
>> SourcePackage: update-manager
>> UpgradeStatus: Upgraded to natty on 2012-05-09 (0 days ago)
>> VarLogDistupgradeApttermlog:
>>
>> VarLogDistupgradeHistorylog:
>>
>> VarLogDistupgradeSystemstatetargz:
>>
>> VarLogDistupgradeTermlog:
>>
>> To manage notifications about this bug go to:
>>
>> https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/996916/+subscriptions
>>
>

Revision history for this message
jon chambers (jon-chambers3001) wrote :

@Quinn - Same problem, since you say its a different bug I went ahead and opened one with the dist-upgrade log:

https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/1907652

Revision history for this message
Amanda Bee (amandabee) wrote :

@qubalaz I can report a new bug but running `ubuntu-bug ubuntu-release-upgrader-core` as directed by the error message I'm seeing when I try to upgrade from 18.04 to 20.04 is bringing me to this page. So I think that's why folks are reporting the bug here.

Revision history for this message
Jörg Hellkvist (joerg-h) wrote :

Yes exactly, bug reporting led me here too.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers